#ifndef _ALARM_MEANING_H_
#define _ALARM_MEANING_H_

#define ST_ALARM_MEANING_SMOKE_STATE_IDLE                               "smoke state idle"
#define ST_ALARM_MEANING_SMOKE_DETECTED                                 "smoke detected"
#define ST_ALARM_MEANING_SMOKE_ALARM_TEST                               "smoke alarm test"
#define ST_ALARM_MEANING_SMOKE_ALARM_SILENCED                           "smoke alarm device has been silenced"
#define ST_ALARM_MEANING_SMOKE_REPLACEMENT_REQUIRED                     "smoke replacement required: alarm physical components are no more reliable"
#define ST_ALARM_MEANING_SMOKE_REPLACEMENT_REQUIRED_EOL                 "smoke replacement required: the device has reached the end of its designed lifetime"
#define ST_ALARM_MEANING_SMOKE_MAINTENANCE_REQUIRED_PPI                 "smoke maintenance required: the device is should be serviced in order to stay reliable"
#define ST_ALARM_MEANING_SMOKE_MAINTENANCE_REQUIRED_DID                 "smoke maintenance required: the device has detected dust in its sensor"
#define ST_ALARM_MEANING_SMOKE_UNKHOWN_EVENT_STATE                      "smoke state unknown"

#define ST_ALARM_MEANING_CO_STATE_IDLE                                  "carbon monoxide state idle"
#define ST_ALARM_MEANING_CO_DETECTED                                    "carbon monoxide detected"
#define ST_ALARM_MEANING_CO_TEST                                        "carbon monoxide test"
#define ST_ALARM_MEANING_CO_TEST_OK                                     "carbon monoxide test ok"
#define ST_ALARM_MEANING_CO_TEST_FAILED                                 "carbon monoxide test failed"
#define ST_ALARM_MEANING_CO_ALARM_SILENCED                              "carbon monoxide alarm device has been silenced"
#define ST_ALARM_MEANING_CO_REPLACEMENT_REQUIRED                        "carbon monoxide replacement required: alarm physical components are no more reliable"
#define ST_ALARM_MEANING_CO_REPLACEMENT_REQUIRED_EOL                    "carbon monoxide replacement required: the device has reached the end of its designed lifetime"
#define ST_ALARM_MEANING_CO_MAINTENANCE_REQUIRED_PPI                    "carbon monoxide maintenance required: the device is should be serviced in order to stay reliable"
#define ST_ALARM_MEANING_CO_UNKHOWN_EVENT_STATE                         "carbon monoxide unknown"

#define ST_ALARM_MEANING_CO2_STATE_IDLE                                 "carbon dioxide state idle"
#define ST_ALARM_MEANING_CO2_DETECTED                                   "carbon dioxide detected"
#define ST_ALARM_MEANING_CO2_TEST                                       "carbon dioxide test"
#define ST_ALARM_MEANING_CO2_TEST_OK                                    "carbon dioxide test ok"
#define ST_ALARM_MEANING_CO2_TEST_FAILED                                "carbon dioxide test failed"
#define ST_ALARM_MEANING_CO2_ALARM_SILENCED                             "carbon dioxide alarm device has been silenced"
#define ST_ALARM_MEANING_CO2_REPLACEMENT_REQUIRED                       "carbon dioxide replacement required: alarm physical components are no more reliable"
#define ST_ALARM_MEANING_CO2_REPLACEMENT_REQUIRED_EOL                   "carbon dioxide replacement required: the device has reached the end of its designed lifetime"
#define ST_ALARM_MEANING_CO2_MAINTENANCE_REQUIRED_PPI                   "carbon dioxide maintenance required: the device is should be serviced in order to stay reliable"
#define ST_ALARM_MEANING_CO2_UNKHOWN_EVENT_STATE                        "carbon dioxide unknown"

#define ST_ALARM_MEANING_HEAT_STATE_IDLE                                "heat state idle"
#define ST_ALARM_MEANING_HEAT_OVERHEAT_DETECTED                         "overheat detected"
#define ST_ALARM_MEANING_HEAT_UNDER_HEAT_DETECTED                       "under heat detected"
#define ST_ALARM_MEANING_HEAT_RAPID_TEMPERATURE_RISE                    "rapid temperature rise"
#define ST_ALARM_MEANING_HEAT_RAPID_TEMPERATURE_FALL                    "rapid temperature fall"
#define ST_ALARM_MEANING_HEAT_ALARM_TEST                                "heat alarm test"
#define ST_ALARM_MEANING_HEAT_ALARM_SILENCED                            "heat alarm device has been silenced"
#define ST_ALARM_MEANING_HEAT_REPLACEMENT_REQUIRED                      "heat replacement required: alarm physical components are no more reliable"
#define ST_ALARM_MEANING_HEAT_REPLACEMENT_REQUIRED_EOL                  "heat replacement required: the device has reached the end of its designed lifetime"
#define ST_ALARM_MEANING_HEAT_MAINTENANCE_REQUIRED_PPI                  "heat maintenance required: the device is should be serviced in order to stay reliable"
#define ST_ALARM_MEANING_HEAT_MAINTENANCE_REQUIRED_DID                  "heat maintenance required: the device has detected dust in its sensor"
#define ST_ALARM_MEANING_HEAT_UNKHOWN_EVENT_STATE                       "heat state unknown"

#define ST_ALARM_MEANING_WATER_STATE_IDLE                               "water state idle"
#define ST_ALARM_MEANING_WATER_LEAK_DETECTED_LOCATION                   "water leak detected"
#define ST_ALARM_MEANING_WATER_LEAK_DETECTED                            "water leak detected"
#define ST_ALARM_MEANING_WATER_LEVEL_DROPPED_LOCATION                   "water level dropped"
#define ST_ALARM_MEANING_WATER_LEVEL_DROPPED                            "water level dropped"
#define ST_ALARM_MEANING_WATER_REPLACE_WATER_FILTER                     "replace water filter"
#define ST_ALARM_MEANING_WATER_FLOW_ALARM                               "water flow alarm"
#define ST_ALARM_MEANING_WATER_FLOW_ALARM_NODATA                        "water flow alarm: no data"
#define ST_ALARM_MEANING_WATER_FLOW_ALARM_LOW_THRESHOLD                 "water flow alarm: below low threshold"
#define ST_ALARM_MEANING_WATER_FLOW_ALARM_HIGH_THRESHOLD                "water flow alarm: above high threshold"
#define ST_ALARM_MEANING_WATER_FLOW_ALARM_MAX                           "water flow alarm: max"
#define ST_ALARM_MEANING_WATER_PRESSURE_ALARM                           "water pressure alarm"
#define ST_ALARM_MEANING_WATER_PRESSURE_ALARM_NODATA                    "water pressure alarm: no data"
#define ST_ALARM_MEANING_WATER_PRESSURE_ALARM_LOW_THRESHOLD             "water pressure alarm: below low threshold"
#define ST_ALARM_MEANING_WATER_PRESSURE_ALARM_HIGH_THRESHOLD            "water pressure alarm: above high threshold"
#define ST_ALARM_MEANING_WATER_PRESSURE_ALARM_MAX                       "water pressure alarm: max"
#define ST_ALARM_MEANING_WATER_TEMPERATURE_ALARM                        "water temperature alarm"
#define ST_ALARM_MEANING_WATER_TEMPERATURE_ALARM_NODATA                 "water temperature alarm: no data"
#define ST_ALARM_MEANING_WATER_TEMPERATURE_ALARM_LOW_THRESHOLD          "water temperature alarm: below low threshold"
#define ST_ALARM_MEANING_WATER_TEMPERATURE_ALARM_HIGH_THRESHOLD         "water temperature alarm: above high threshold"
#define ST_ALARM_MEANING_WATER_LEVEL_ALARM                              "water level alarm"
#define ST_ALARM_MEANING_WATER_LEVEL_ALARM_NODATA                       "water level alarm: no data"
#define ST_ALARM_MEANING_WATER_LEVEL_ALARM_LOW_THRESHOLD                "water level alarm: below low threshold"
#define ST_ALARM_MEANING_WATER_LEVEL_ALARM_HIGH_THRESHOLD               "water level alarm: above high threshold"
#define ST_ALARM_MEANING_WATER_SUMP_PUMP_ACTIVE                         "water sump pump active"
#define ST_ALARM_MEANING_WATER_SUMP_PUMP_FAILURE                        "water sump pump failure"
#define ST_ALARM_MEANING_WATER_UNKHOWN_EVENT_STATE                      "water state unknown"

#define ST_ALARM_MEANING_AC_STATE_IDLE                                  "access control state idle"
#define ST_ALARM_MEANING_AC_MANUAL_LOCK_OPERATION                       "manual lock"
#define ST_ALARM_MEANING_AC_MANUAL_UNLOCK_OPERATION                     "manual unlock"
#define ST_ALARM_MEANING_AC_RF_LOCK_OPERATION                           "rf lock"
#define ST_ALARM_MEANING_AC_RF_UNLOCK_OPERATION                         "rf unlock"
#define ST_ALARM_MEANING_AC_KEYPAD_LOCK_OPERATION                       "keypad lock"
#define ST_ALARM_MEANING_AC_KEYPAD_UNLOCK_OPERATION                     "keypad unlock"
#define ST_ALARM_MEANING_AC_MANUAL_NOT_FULLY_LOCKED_OPERATION           "manual not fully locked"
#define ST_ALARM_MEANING_AC_RF_NOT_FULLY_LOCKED_OPERATION               "rf not fully locked"
#define ST_ALARM_MEANING_AC_AUTO_LOCK_LOCKED_OPERATION                  "auto locked"
#define ST_ALARM_MEANING_AC_AUTO_LOCK_NOT_FULLY_LOCKED_OPERATION        "auto lock not fully locked"
#define ST_ALARM_MEANING_AC_LOCK_JAMMED                                 "lock jammed"
#define ST_ALARM_MEANING_AC_ALL_USER_CODE_DELETED                       "all user code deleted"
#define ST_ALARM_MEANING_AC_SINGLE_USER_CODE_DELETED                    "single user code deleted"
#define ST_ALARM_MEANING_AC_NEW_USER_CODE_ADDED                         "user code added"
#define ST_ALARM_MEANING_AC_NEW_USER_CODE_NOT_ADDED                     "duplicate user code"
#define ST_ALARM_MEANING_AC_KEYPAD_TEMPORARY_DISABLED                   "keypad temporary disabled"
#define ST_ALARM_MEANING_AC_KEYPAD_BUSY                                 "keypad busy"
#define ST_ALARM_MEANING_AC_NEW_PROGRAM_CODE_ENTERED                    "new program code entered unique code for lock configuration"
#define ST_ALARM_MEANING_AC_MANUALY_ENTER_USER_ACCESS_CODE_EXCEEDED     "manually enter user access code exceeds code limit"
#define ST_ALARM_MEANING_AC_UNLOCK_RF_INVALID_USER_CODE                 "rf unlock invalid user code"
#define ST_ALARM_MEANING_AC_LOCKED_RF_INVALID_USER_CODE                 "rf locked invalid user code"
#define ST_ALARM_MEANING_AC_WINDOW_DOOR_OPEN                            "window/door is open"
#define ST_ALARM_MEANING_AC_WINDOW_DOOR_CLOSED                          "window/door is closed"
#define ST_ALARM_MEANING_AC_WINDOW_DOOR_HANDLE_OPEN                     "window/door handle is open"
#define ST_ALARM_MEANING_AC_WINDOW_DOOR_HANDLE_CLOSED                   "window/door handle is closed"
#define ST_ALARM_MEANING_AC_BARRIER_PERFORMING_INIT_PROCESS             "barrier performing initializtion process" 
#define ST_ALARM_MEANING_AC_BARRIER_PERFORMING_INIT_PROCESS_PERFORMING  "barrier performing initializtion process performing" 
#define ST_ALARM_MEANING_AC_BARRIER_PERFORMING_INIT_PROCESS_COMPLETED   "barrier performing initializtion process completed" 
#define ST_ALARM_MEANING_AC_BARRIER_OPERATION_FORCE_EXCEEDED            "barrier operation(open/close) force has been exceeded"
#define ST_ALARM_MEANING_AC_BARRIER_MOTOR_EXCEEDED                      "barrier motor has exceeded manufacture's operational time limit"
#define ST_ALARM_MEANING_AC_BARRIER_OPERATION_PHYSICAL_EXCEEDED         "barrier operation has exceeded physical mechanical limits"
#define ST_ALARM_MEANING_AC_BARRIER_UNABLE_PERFORM_REQUEST              "barrier unable to perform requested operation due to UL requirements"
#define ST_ALARM_MEANING_AC_BARRIER_UNATTENDED_DISABLED                 "barrier unattended operation has been disabled per UL requirements"
#define ST_ALARM_MEANING_AC_BARRIER_MALFUNCTION                         "barrier failed to perform requested operation, device malfunction"
#define ST_ALARM_MEANING_AC_BARRIER_VACATION_MODE_DISABLE               "barrier vacation mode: disable"
#define ST_ALARM_MEANING_AC_BARRIER_VACATION_MODE_ENABLE                "barrier vacation mode: enable"
#define ST_ALARM_MEANING_AC_BARRIER_SAFETY_BEAM_OBSTACLE_NO_OBSTRUCTION "barrier safety beam obstacle: no obstruction"
#define ST_ALARM_MEANING_AC_BARRIER_SAFETY_BEAM_OBSTACLE_OBSTRUCTION    "barrier safety beam obstacle: obstruction"
#define ST_ALARM_MEANING_AC_BARRIER_SENSOR_NOT_DETECTED                 "barrier sensor not detected"
#define ST_ALARM_MEANING_AC_BARRIER_SENSOR_LOW_BATTERY_WARNING          "barrier sensor low battery warning"
#define ST_ALARM_MEANING_AC_BARRIER_DETECTED_SHORT                      "barrier detected short in wall station wires"
#define ST_ALARM_MEANING_AC_BARRIER_ASSOCIATED_WITH_NON_ZWAVE_REMOTE    "barrier associated with non Z-wave remote control"
#define ST_ALARM_MEANING_AC_UNKHOWN_EVENT_STATE                         "access control state unknown"

#define ST_ALARM_MEANING_HOME_STATE_IDLE                                "home security state idle"
#define ST_ALARM_MEANING_HOME_INTRUSION_LOCATION                        "intrusion"
#define ST_ALARM_MEANING_HOME_INTRUSION                                 "intrusion"
#define ST_ALARM_MEANING_HOME_TEMPERATING_PRODUCT_REMOVE                "tampering product cover removed"
#define ST_ALARM_MEANING_HOME_TEMPERATING_INVALID_CODE                  "tampering invalid code"
#define ST_ALARM_MEANING_HOME_GLASS_BREAKAGE_LOCATION                   "glass breakage"
#define ST_ALARM_MEANING_HOME_GLASS_BREAKAGE                            "glass breakage"
#define ST_ALARM_MEANING_HOME_MOTION_DETECTION_LOCATION                 "motion detected"
#define ST_ALARM_MEANING_HOME_MOTION_DETECTION                          "motion detected"
#define ST_ALARM_MEANING_HOME_TEMPERATING_MOVED                         "tampering product moved"
#define ST_ALARM_MEANING_HOME_UNKHOWN_EVENT_STATE                       "home security state unknown"

#define ST_ALARM_MEANING_PM_STATE_IDLE                                  "power management idle"
#define ST_ALARM_MEANING_PM_POWER_APPLIED                               "power has been applied"
#define ST_ALARM_MEANING_PM_AC_DISCONNECTED                             "AC mains disconnected"
#define ST_ALARM_MEANING_PM_AC_REDISCONNECT                             "AC mains reconnected"
#define ST_ALARM_MEANING_PM_SURGE_DETECTED                              "surge detected"
#define ST_ALARM_MEANING_PM_VOTAGE_DROP_DRIFT                           "voltage drop/drift"
#define ST_ALARM_MEANING_PM_OVERCURRENT_DETECTED                        "over-current detected"
#define ST_ALARM_MEANING_PM_OVERVOTAGE_DETECTED                         "over-voltage detected"
#define ST_ALARM_MEANING_PM_OVERLOAD_DETECTED                           "over-load detected"
#define ST_ALARM_MEANING_PM_LOAD_ERROR                                  "load error"
#define ST_ALARM_MEANING_PM_REPLACE_BATTERY_SOON                        "replace battery soon"
#define ST_ALARM_MEANING_PM_REPLACE_BATTERY_NOW                         "replace battery now"
#define ST_ALARM_MEANING_PM_BATTERY_FLUID_LOW                           "battery fluid is low"
#define ST_ALARM_MEANING_PM_BATTERY_CHARGING                            "battery is charging"
#define ST_ALARM_MEANING_PM_BATTERY_FULLY_CHARGED                       "battery is fully charged"
#define ST_ALARM_MEANING_PM_CHARGE_BATTERY_SOON                         "charge battery soon"
#define ST_ALARM_MEANING_PM_CHARGE_BATTERY_NOW                          "charge battery now"
#define ST_ALARM_MEANING_PM_BACKUP_BATTERY_LOW                          "back-up battery is low"
#define ST_ALARM_MEANING_PM_UNKHOWN_EVENT_STATE                         "power management unknown"

#define ST_ALARM_MEANING_SYSTEM_STATE_IDLE                              "system state idle"
#define ST_ALARM_MEANING_SYSTEM_HARDWARE_FAILLURE                       "system hardware failure"
#define ST_ALARM_MEANING_SYSTEM_HARDWARE_FAILLURE_MANUFACTUER           "system hardware failure"
#define ST_ALARM_MEANING_SYSTEM_SOFTWARE_FAILURE                        "system software failure"
#define ST_ALARM_MEANING_SYSTEM_SOFTWARE_FAILURE_MANUFACTURE            "system software failure"
#define ST_ALARM_MEANING_SYSTEM_HEART_BEAT                              "heartbeat"
#define ST_ALARM_MEANING_SYSTEM_TEMPERATING_PRODUCT_REMOVE              "tampering product cover removed"
#define ST_ALARM_MEANING_SYSTEM_EMERGENCY_SHUTOFF                       "emergency shutoff"
#define ST_ALARM_MEANING_SYSTEM_UNKHOWN_EVENT_STATE                     "system unknown"

#define ST_ALARM_MEANING_EMERGENCY_STATE_IDLE                           "emergency state idle"
#define ST_ALARM_MEANING_EMERGENCY_CONTACT_POLICE                       "contact police"
#define ST_ALARM_MEANING_EMERGENCY_CONTACT_FIRE_SERVICE                 "contact fire service"
#define ST_ALARM_MEANING_EMERGENCY_CONTACT_MEDICAL_SERVICE              "contact medical service"
#define ST_ALARM_MEANING_EMERGENCY_UNKHOWN_EVENT_STATE                  "emergency state unknown"

#define ST_ALARM_MEANING_CLOCK_STATE_IDLE                               "clock state idle"
#define ST_ALARM_MEANING_CLOCK_WAKE_UP_ALERT                            "wakeUp alert"
#define ST_ALARM_MEANING_CLOCK_TIMER_ENDED                              "timer ended"
#define ST_ALARM_MEANING_CLOCK_TIME_REMAINING                           "time remaining"
#define ST_ALARM_MEANING_CLOCK_UNKHOWN_EVENT_STATE                      "clock state unknown"

#define ST_ALARM_MEANING_APP_STATE_IDLE                                 "appliance state idle"
#define ST_ALARM_MEANING_APP_PROGRAM_STARTED                            "program started"
#define ST_ALARM_MEANING_APP_PROGRAM_PROGRESS                           "program in progress"
#define ST_ALARM_MEANING_APP_PROGRAM_COMPLETED                          "program completed"
#define ST_ALARM_MEANING_APP_REPLACE_MAIN_FILTER                        "replace main filter"
#define ST_ALARM_MEANING_APP_SUPPLYING_WATER                            "supplying water"
#define ST_ALARM_MEANING_APP_BOILLING                                   "boilling"
#define ST_ALARM_MEANING_APP_WASHING                                    "washing"
#define ST_ALARM_MEANING_APP_RINSING                                    "rinsing"
#define ST_ALARM_MEANING_APP_DRAINING                                   "draining"
#define ST_ALARM_MEANING_APP_SPINNING                                   "spinning"
#define ST_ALARM_MEANING_APP_DRYING                                     "drying"
#define ST_ALARM_MEANING_APP_FAILURE_SET_TARGET_TEMPERATURE             "Failure to set target temperature"
#define ST_ALARM_MEANING_APP_WATTER_SUPPLY_FAILURE                      "water supply failure"
#define ST_ALARM_MEANING_APP_BOILLING_FAILURE                           "boiling failure"
#define ST_ALARM_MEANING_APP_WASHING_FAILURE                            "washing failure"
#define ST_ALARM_MEANING_APP_RINSING_FAILURE                            "rinsing failure"
#define ST_ALARM_MEANING_APP_DRAINING_FAILURE                           "draining failure"
#define ST_ALARM_MEANING_APP_SPINNING_FAILURE                           "spinning failure"
#define ST_ALARM_MEANING_APP_DRYING_FAILURE                             "drying failure"
#define ST_ALARM_MEANING_APP_FAN_FAILURE                                "fan failure"
#define ST_ALARM_MEANING_APP_COMPRESSOR_FAILURE                         "compressor failure"
#define ST_ALARM_MEANING_APP_UNKHOWN_EVENT_STATE                        "appliance state unknown"

#define ST_ALARM_MEANING_HOME_HEALTH_STATE_IDLE                         "home health state idle"
#define ST_ALARM_MEANING_HOME_HEALTH_LEAVING_BED                        "leaving bed" 
#define ST_ALARM_MEANING_HOME_HEALTH_SITTING_ON_BED                     "sitting on bed"
#define ST_ALARM_MEANING_HOME_HEALTH_LYING_ON_BED                       "lying on bed"
#define ST_ALARM_MEANING_HOME_HEALTH_SITTING_ON_BED_ADGE                "sitting on bed edge"
#define ST_ALARM_MEANING_HOME_HEALTH_POSTURE_CHANGED                    "posture changed"
#define ST_ALARM_MEANING_HOME_HEALTH_VOLATILE_ORGANIC_CLEAN             "volatile organic compound level: clean"
#define ST_ALARM_MEANING_HOME_HEALTH_VOLATILE_ORGANIC_SLIGHTLY          "volatile organic compound level: sightly polluted"
#define ST_ALARM_MEANING_HOME_HEALTH_VOLATILE_ORGANIC_MODERATELY        "volatile organic compound level: moderately polluted"
#define ST_ALARM_MEANING_HOME_HEALTH_VOLATILE_ORGANIC_HIGHLY            "volatile organic compound level: highly polluted"
#define ST_ALARM_MEANING_HOME_HEALTH_UNKHOWN_EVENT_STATE                "home health state inknown"

#define ST_ALARM_MEANING_SIREN_STATE_IDLE                               "siren state idle"
#define ST_ALARM_MEANING_SIREN_ACTIVE                                   "siren active"
#define ST_ALARM_MEANING_SIREN_UNKHOWN_EVENT_STATE                      "siren state unknown"

#define ST_ALARM_MEANING_WATER_VALVE_STATE_IDLE                         "water valve state idle"
#define ST_ALARM_MEANING_WATER_VALVE_OPERATION_ON                       "valve operation on"
#define ST_ALARM_MEANING_WATER_VALVE_OPERATION_OFF                      "valve operation off"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_OPERATION_ON                "master valve operation on"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_OPERATION_OFF               "master valve operation off"
#define ST_ALARM_MEANING_WATER_VALVE_SHORT_CIRCUIT                      "valve short circuit"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_SHORT_CIRCUIT               "master valve short circuit"
#define ST_ALARM_MEANING_WATER_VALVE_CURRENT_ALARM                      "valve current alarm"
#define ST_ALARM_MEANING_WATER_VALVE_CURRENT_ALARM_NODATA               "valve current alarm: no data"
#define ST_ALARM_MEANING_WATER_VALVE_CURRENT_ALARM_LOW_THRESHOLD        "valve current alarm: below low threshold"
#define ST_ALARM_MEANING_WATER_VALVE_CURRENT_ALARM_HIGH_THRESHOLD       "valve current alarm: above high threshold"
#define ST_ALARM_MEANING_WATER_VALVE_CURRENT_ALARM_MAX                  "valve current alarm: max"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_CURRENT_ALARM               "master valve current alarm"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_CURRENT_ALARM_NODATA        "master valve current alarm: no data"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_CURRENT_ALARM_LOW_THRESHOLD "master valve current alarm: below low threshold"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_CURRENT_ALARM_HIGH_THRESHOLD "master valve current alarm: above high threshold"
#define ST_ALARM_MEANING_WATER_MASTER_VALVE_CURRENT_ALARM_MAX           "master valve current alarm: max"
#define ST_ALARM_MEANING_WATER_VALVE_UNKHOWN_EVENT_STATE                "water valve state unknown"

#define ST_ALARM_MEANING_WEATHER_STATE_IDLE                             "weather state idle"
#define ST_ALARM_MEANING_WEATHER_RAIN_ALARM                             "rain alarm"
#define ST_ALARM_MEANING_WEATHER_MOISTURE_ALARM                         "moisture alarm"
#define ST_ALARM_MEANING_WEATHER_FREEZE_ALARM                           "freeze alarm"
#define ST_ALARM_MEANING_WEATHER_UNKHOWN_EVENT_STATE                    "weather state unknown"

#define ST_ALARM_MEANING_IRRIGATION_STATE_IDLE                          "irrigation state idle"
#define ST_ALARM_MEANING_IRRIGATION_SCHEDULE_STARTED                    "schedule started"
#define ST_ALARM_MEANING_IRRIGATION_SCHEDULE_FINISHED                   "schedule finished"
#define ST_ALARM_MEANING_IRRIGATION_VALVE_TABLE_RUN_STARTED             "valve table run started"
#define ST_ALARM_MEANING_IRRIGATION_VALVE_TABLE_RUN_FINISHED            "valve table run finished"
#define ST_ALARM_MEANING_IRRIGATION_DEVICE_NOT_CONFIGURED               "device is not configured"
#define ST_ALARM_MEANING_IRRIGATION_UNKHOWN_EVENT_STATE                 "irrigation state unknown"

#define ST_ALARM_MEANING_GAS_STATE_IDLE                                 "gas state idle"
#define ST_ALARM_MEANING_GAS_COMBUSTIBLE_GAS_DETECTED_LOCATION          "combustible gas detected"
#define ST_ALARM_MEANING_GAS_COMBUSTIBLE_GAS_DETECTED                   "combustible gas detected"
#define ST_ALARM_MEANING_GAS_TOXIC_GAS_DETECTED_LOCATION                "toxic gas detected"
#define ST_ALARM_MEANING_GAS_TOXIC_GAS_DETECTED                         "toxic gas detected"
#define ST_ALARM_MEANING_GAS_ALARM_TEST                                 "gas alarm test"
#define ST_ALARM_MEANING_GAS_REPLACEMENT_REQUIRED                       "gas replacement required"
#define ST_ALARM_MEANING_GAS_UNKHOWN_EVENT_STATE                        "gas state unknown"

#define ST_ALARM_MEANING_PEST_STATE_IDLE                                "pest state Idle"
#define ST_ALARM_MEANING_PEST_TRAP_ARMED_LOCATION                       "trap armed"
#define ST_ALARM_MEANING_PEST_TRAP_ARMED                                "trap armed"
#define ST_ALARM_MEANING_PEST_TRAP_REARMED_REQUIRED_LOCATION            "trap re-arm required"
#define ST_ALARM_MEANING_PEST_TRAP_REARMED_REQUIRED                     "trap re-arm required"
#define ST_ALARM_MEANING_PEST_DETECTED_LOCATION                         "pest detected"
#define ST_ALARM_MEANING_PEST_DETECTED                                  "pest detected"
#define ST_ALARM_MEANING_PEST_EXTERMINATED_LOCATION                     "pest exterminated"
#define ST_ALARM_MEANING_PEST_EXTERMINATED                              "pest exterminated"
#define ST_ALARM_MEANING_PEST_UNKHOWN_EVENT_STATE                       "pest unknown"

#endif